commit:     98d8f12d88876420bd8044e18772d977f94877ae
Author:     Michael Mair-Keimberger <m.mairkeimberger <AT> gmail <DOT> com>
AuthorDate: Fri Jul 20 10:39:47 2018 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Mon Jul 23 06:41:49 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=98d8f12d

sys-fs/mtpfs: EAPI7, improve ebuild

Closes: https://github.com/gentoo/gentoo/pull/9294

 .../files/mtpfs-1.1-unitialized-variable.patch     |  4 +-
 sys-fs/mtpfs/mtpfs-1.1-r4.ebuild                   | 55 ++++++++++++++++++++++
 2 files changed, 57 insertions(+), 2 deletions(-)

diff --git a/sys-fs/mtpfs/files/mtpfs-1.1-unitialized-variable.patch 
b/sys-fs/mtpfs/files/mtpfs-1.1-unitialized-variable.patch
index fb49624515b..f322d4770ab 100644
--- a/sys-fs/mtpfs/files/mtpfs-1.1-unitialized-variable.patch
+++ b/sys-fs/mtpfs/files/mtpfs-1.1-unitialized-variable.patch
@@ -1,6 +1,6 @@
 https://bugs.gentoo.org/556690
---- mtpfs.c.old        2015-08-04 21:56:13.080712801 +0200
-+++ mtpfs.c    2015-08-04 21:20:54.822965092 +0200
+--- a/mtpfs.c  2015-08-04 21:56:13.080712801 +0200
++++ b/mtpfs.c  2015-08-04 21:20:54.822965092 +0200
 @@ -1324,7 +1324,7 @@ main (int argc, char *argv[])
      LIBMTP_raw_device_t * rawdevices;
      int numrawdevices;

diff --git a/sys-fs/mtpfs/mtpfs-1.1-r4.ebuild b/sys-fs/mtpfs/mtpfs-1.1-r4.ebuild
new file mode 100644
index 00000000000..e97428f4e0d
--- /dev/null
+++ b/sys-fs/mtpfs/mtpfs-1.1-r4.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="A FUSE filesystem providing access to MTP devices"
+HOMEPAGE="https://www.adebenham.com/mtpfs/";
+SRC_URI="https://www.adebenham.com/files/mtp/${P}.tar.gz";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug mad"
+
+RDEPEND="dev-libs/glib:2
+       >=media-libs/libmtp-1.1.2
+       sys-fs/fuse
+       mad? (
+               media-libs/libid3tag
+               media-libs/libmad
+       )"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+DOCS=(AUTHORS NEWS README)
+
+PATCHES=( "${FILESDIR}"/${P}-fix-mutex-crash.patch
+       "${FILESDIR}"/${P}-unitialized-variable.patch
+       "${FILESDIR}"/${P}-wking-patches/
+       "${FILESDIR}"/${P}-g_printf.patch )
+
+src_prepare() {
+       default
+       sed -e "/#include <string.h>/ a\
+               #include <stdlib.h>" -i mtpfs.h id3read.c || die #implicit
+}
+
+src_configure() {
+       econf $(use_enable debug) \
+               $(use_enable mad)
+}
+
+pkg_postinst() {
+       einfo "To mount your MTP device, issue:"
+       einfo "    /usr/bin/mtpfs <mountpoint>"
+       echo
+       einfo "To unmount your MTP device, issue:"
+       einfo "    /usr/bin/fusermount -u <mountpoint>"
+
+       if use debug; then
+               echo
+               einfo "You have enabled debugging output."
+               einfo "Please make sure you run mtpfs with the -d flag."
+       fi
+}

Reply via email to